| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Protocols
Protocols.Bittorrent
Protocols.Bittorrent.Torrent
Protocols.Bittorrent.Torrent()->Target

# Class Protocols.Bittorrent.Torrent()->Target

Description

  Each bittorrent has one or more target files. This represents one of those.

syntax

  `string Protocols.Bittorrent.Torrent.Target.base`
  `int Protocols.Bittorrent.Torrent.Target.length`
  `int Protocols.Bittorrent.Torrent.Target.offset`
  `void|array Protocols.Bittorrent.Torrent.Target.path` `void Protocols.Bittorrent.Torrent.Target(string base, int length, int offset, void|array path)`